# Interface TreeApplyFilterParameter<Form, Data>

interface TreeApplyFilterParameter<
Form extends ISearchForm = ISearchForm,
Data extends WithIdentifier & WithChildren = any,
> {
filter: Form;
scopeTypes?: string[];
tree: Node<Data, any>[];
}

#### Type Parameters

- Form extends ISearchForm = ISearchForm
- Data extends WithIdentifier & WithChildren = any

- Defined in tree/src/lib/tree.data-source.ts:119

#####
Index

### Properties

filter
scopeTypes?
tree

##
Properties

### filter

filter: Form

- Defined in tree/src/lib/tree.data-source.ts:121

### `Optional` scopeTypes

scopeTypes?: string[]

- Defined in tree/src/lib/tree.data-source.ts:122

### tree

tree: Node<Data, any>[]

- Defined in tree/src/lib/tree.data-source.ts:120